pi-harness-runtime 0.10.13 → 0.10.15

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
Files changed (581) hide show
  1. package/harness/notification-events.ts +2 -2
  2. package/package.json +4 -7
  3. package/packages/auth/src/minimax-browser-auth.js +889 -0
  4. package/packages/capability-registry/src/types.js +10 -0
  5. package/packages/checkpoint/src/checkpoint-manager.js +29 -0
  6. package/packages/clipboard/src/copy-sync.js +169 -0
  7. package/packages/clipboard/src/gist-relay.js +185 -0
  8. package/packages/clipboard/src/github-login.js +68 -0
  9. package/packages/config-capture/src/index.js +268 -0
  10. package/packages/cookie-sanitizer/src/atomic-write.js +66 -0
  11. package/packages/cookie-sanitizer/src/detect-format.js +87 -0
  12. package/packages/cookie-sanitizer/src/index.js +38 -0
  13. package/packages/cookie-sanitizer/src/infer-provider.js +95 -0
  14. package/packages/cookie-sanitizer/src/normalize.js +74 -0
  15. package/packages/cookie-sanitizer/src/parse-json.js +107 -0
  16. package/packages/cookie-sanitizer/src/parse-netscape.js +98 -0
  17. package/packages/cookie-sanitizer/src/sync.js +268 -0
  18. package/packages/cookie-sanitizer/src/types.js +12 -0
  19. package/packages/cookie-sanitizer/src/watcher.js +147 -0
  20. package/packages/evaluation-engine/src/engine.js +343 -0
  21. package/packages/evaluation-engine/src/index.js +7 -0
  22. package/packages/evaluation-engine/src/types.js +14 -0
  23. package/packages/event-store/src/types.js +5 -0
  24. package/packages/experience-replay/src/index.js +6 -0
  25. package/packages/experience-replay/src/replay.js +228 -0
  26. package/packages/experience-replay/src/types.js +6 -0
  27. package/packages/learning-engine/src/engine.js +294 -0
  28. package/packages/learning-engine/src/index.js +7 -0
  29. package/packages/learning-engine/src/types.js +63 -0
  30. package/packages/memory-engine/src/engine.js +507 -0
  31. package/packages/memory-engine/src/index.js +7 -0
  32. package/packages/memory-engine/src/types.js +39 -0
  33. package/packages/model-registry/src/types.js +5 -0
  34. package/packages/performance-optimizer/src/index.js +6 -0
  35. package/packages/performance-optimizer/src/optimizer.js +304 -0
  36. package/packages/performance-optimizer/src/types.js +6 -0
  37. package/packages/projection-engine/src/types.js +5 -0
  38. package/packages/providers/src/provider-id.js +112 -0
  39. package/packages/quota-manager/src/quota-manager.js +259 -0
  40. package/packages/quota-manager/src/tui-usage-monitor.js +267 -0
  41. package/packages/todo-bd-sync/src/detector.js +131 -0
  42. package/packages/todo-bd-sync/src/extension.js +104 -0
  43. package/packages/todo-bd-sync/src/sync.js +289 -0
  44. package/packages/todo-bd-sync/src/task-analyzer.js +239 -0
  45. package/packages/todo-bd-sync/src/types.js +66 -0
  46. package/packages/token-estimation/src/index.js +114 -0
  47. package/packages/types/src/agent-worker-types.js +41 -0
  48. package/packages/types/src/ai-providers.js +66 -0
  49. package/packages/types/src/runtime-types.js +3 -0
  50. package/packages/workflow-events/src/types.js +5 -0
  51. package/packages/write-review/src/blackboard.js +228 -0
  52. package/packages/write-review/src/gate.js +137 -0
  53. package/packages/write-review/src/index.js +17 -0
  54. package/packages/write-review/src/injection.js +141 -0
  55. package/packages/write-review/src/review.js +153 -0
  56. package/packages/write-review/src/trigger.js +106 -0
  57. package/packages/write-review/src/types.js +25 -0
  58. package/IMPLEMENTATION/RFC-0010/ACCEPTANCE_CRITERIA.md +0 -7
  59. package/IMPLEMENTATION/RFC-0010/AI_BRIEF.md +0 -20
  60. package/IMPLEMENTATION/RFC-0010/FILES.md +0 -11
  61. package/IMPLEMENTATION/RFC-0010/TASKS.md +0 -10
  62. package/IMPLEMENTATION/RFC-0010/TESTS.md +0 -6
  63. package/IMPLEMENTATION/RFC-0011/ACCEPTANCE_CRITERIA.md +0 -7
  64. package/IMPLEMENTATION/RFC-0011/AI_BRIEF.md +0 -19
  65. package/IMPLEMENTATION/RFC-0011/FILES.md +0 -11
  66. package/IMPLEMENTATION/RFC-0011/TASKS.md +0 -10
  67. package/IMPLEMENTATION/RFC-0011/TESTS.md +0 -6
  68. package/IMPLEMENTATION/RFC-0012/ACCEPTANCE_CRITERIA.md +0 -7
  69. package/IMPLEMENTATION/RFC-0012/AI_BRIEF.md +0 -18
  70. package/IMPLEMENTATION/RFC-0012/FILES.md +0 -11
  71. package/IMPLEMENTATION/RFC-0012/TASKS.md +0 -10
  72. package/IMPLEMENTATION/RFC-0012/TESTS.md +0 -6
  73. package/IMPLEMENTATION/RFC-0013/ACCEPTANCE_CRITERIA.md +0 -7
  74. package/IMPLEMENTATION/RFC-0013/AI_BRIEF.md +0 -19
  75. package/IMPLEMENTATION/RFC-0013/FILES.md +0 -11
  76. package/IMPLEMENTATION/RFC-0013/TASKS.md +0 -10
  77. package/IMPLEMENTATION/RFC-0013/TESTS.md +0 -6
  78. package/IMPLEMENTATION/RFC-0014/ACCEPTANCE_CRITERIA.md +0 -7
  79. package/IMPLEMENTATION/RFC-0014/AI_BRIEF.md +0 -20
  80. package/IMPLEMENTATION/RFC-0014/FILES.md +0 -11
  81. package/IMPLEMENTATION/RFC-0014/TASKS.md +0 -10
  82. package/IMPLEMENTATION/RFC-0014/TESTS.md +0 -6
  83. package/IMPLEMENTATION/RFC-0015/ACCEPTANCE_CRITERIA.md +0 -2
  84. package/IMPLEMENTATION/RFC-0015/AI_BRIEF.md +0 -2
  85. package/IMPLEMENTATION/RFC-0015/FILES.md +0 -2
  86. package/IMPLEMENTATION/RFC-0015/TASKS.md +0 -4
  87. package/IMPLEMENTATION/RFC-0015/TESTS.md +0 -3
  88. package/IMPLEMENTATION/RFC-0016/ACCEPTANCE_CRITERIA.md +0 -2
  89. package/IMPLEMENTATION/RFC-0016/AI_BRIEF.md +0 -2
  90. package/IMPLEMENTATION/RFC-0016/FILES.md +0 -2
  91. package/IMPLEMENTATION/RFC-0016/TASKS.md +0 -4
  92. package/IMPLEMENTATION/RFC-0016/TESTS.md +0 -3
  93. package/IMPLEMENTATION/RFC-0017/ACCEPTANCE_CRITERIA.md +0 -2
  94. package/IMPLEMENTATION/RFC-0017/AI_BRIEF.md +0 -2
  95. package/IMPLEMENTATION/RFC-0017/FILES.md +0 -2
  96. package/IMPLEMENTATION/RFC-0017/TASKS.md +0 -4
  97. package/IMPLEMENTATION/RFC-0017/TESTS.md +0 -3
  98. package/IMPLEMENTATION/RFC-0018/ACCEPTANCE_CRITERIA.md +0 -2
  99. package/IMPLEMENTATION/RFC-0018/AI_BRIEF.md +0 -2
  100. package/IMPLEMENTATION/RFC-0018/FILES.md +0 -2
  101. package/IMPLEMENTATION/RFC-0018/TASKS.md +0 -4
  102. package/IMPLEMENTATION/RFC-0018/TESTS.md +0 -3
  103. package/IMPLEMENTATION/RFC-0019/ACCEPTANCE_CRITERIA.md +0 -7
  104. package/IMPLEMENTATION/RFC-0019/AI_BRIEF.md +0 -18
  105. package/IMPLEMENTATION/RFC-0019/TASKS.md +0 -10
  106. package/IMPLEMENTATION/RFC-0020/ACCEPTANCE_CRITERIA.md +0 -7
  107. package/IMPLEMENTATION/RFC-0020/AI_BRIEF.md +0 -18
  108. package/IMPLEMENTATION/RFC-0020/TASKS.md +0 -10
  109. package/IMPLEMENTATION/RFC-0021/ACCEPTANCE_CRITERIA.md +0 -7
  110. package/IMPLEMENTATION/RFC-0021/AI_BRIEF.md +0 -18
  111. package/IMPLEMENTATION/RFC-0021/TASKS.md +0 -10
  112. package/IMPLEMENTATION/RFC-0022/ACCEPTANCE_CRITERIA.md +0 -7
  113. package/IMPLEMENTATION/RFC-0022/AI_BRIEF.md +0 -18
  114. package/IMPLEMENTATION/RFC-0022/TASKS.md +0 -10
  115. package/IMPLEMENTATION/RFC-0023/ACCEPTANCE_CRITERIA.md +0 -7
  116. package/IMPLEMENTATION/RFC-0023/AI_BRIEF.md +0 -18
  117. package/IMPLEMENTATION/RFC-0023/TASKS.md +0 -10
  118. package/IMPLEMENTATION/RFC-0024/AI_BRIEF.md +0 -1
  119. package/IMPLEMENTATION/RFC-0024/TASKS.md +0 -3
  120. package/IMPLEMENTATION/RFC-0025/AI_BRIEF.md +0 -1
  121. package/IMPLEMENTATION/RFC-0025/TASKS.md +0 -3
  122. package/IMPLEMENTATION/RFC-0026/AI_BRIEF.md +0 -1
  123. package/IMPLEMENTATION/RFC-0026/TASKS.md +0 -3
  124. package/IMPLEMENTATION/RFC-0027/AI_BRIEF.md +0 -1
  125. package/IMPLEMENTATION/RFC-0027/TASKS.md +0 -3
  126. package/IMPLEMENTATION/RFC-0028/AI_BRIEF.md +0 -1
  127. package/IMPLEMENTATION/RFC-0028/TASKS.md +0 -3
  128. package/IMPLEMENTATION/RFC-0029/AI_BRIEF.md +0 -1
  129. package/IMPLEMENTATION/RFC-0029/TASKS.md +0 -4
  130. package/IMPLEMENTATION/RFC-0030/AI_BRIEF.md +0 -1
  131. package/IMPLEMENTATION/RFC-0030/TASKS.md +0 -3
  132. package/IMPLEMENTATION/RFC-0031/AI_BRIEF.md +0 -45
  133. package/IMPLEMENTATION/RFC-0031/TASKS.md +0 -48
  134. package/IMPLEMENTATION/RFC-0032/AI_BRIEF.md +0 -45
  135. package/IMPLEMENTATION/RFC-0032/TASKS.md +0 -44
  136. package/IMPLEMENTATION/RFC-0033/AI_BRIEF.md +0 -46
  137. package/IMPLEMENTATION/RFC-0033/TASKS.md +0 -49
  138. package/IMPLEMENTATION/RFC-0034/AI_BRIEF.md +0 -54
  139. package/IMPLEMENTATION/RFC-0034/TASKS.md +0 -57
  140. package/IMPLEMENTATION/RFC-0035/AI_BRIEF.md +0 -55
  141. package/IMPLEMENTATION/RFC-0035/TASKS.md +0 -75
  142. package/IMPLEMENTATION/RFC-0036/AI_BRIEF.md +0 -62
  143. package/IMPLEMENTATION/RFC-0036/TASKS.md +0 -60
  144. package/IMPLEMENTATION/RFC-0037/AI_BRIEF.md +0 -59
  145. package/IMPLEMENTATION/RFC-0037/TASKS.md +0 -63
  146. package/IMPLEMENTATION/RFC-0038/AI_BRIEF.md +0 -67
  147. package/IMPLEMENTATION/RFC-0038/TASKS.md +0 -65
  148. package/IMPLEMENTATION/RFC-0039/AI_BRIEF.md +0 -68
  149. package/IMPLEMENTATION/RFC-0039/TASKS.md +0 -74
  150. package/IMPLEMENTATION/RFC-0040/AI_BRIEF.md +0 -79
  151. package/IMPLEMENTATION/RFC-0040/TASKS.md +0 -77
  152. package/IMPLEMENTATION/RFC-0041/ACCEPTANCE_CRITERIA.md +0 -8
  153. package/IMPLEMENTATION/RFC-0041/AI_BRIEF.md +0 -26
  154. package/IMPLEMENTATION/RFC-0041/FILES.md +0 -12
  155. package/IMPLEMENTATION/RFC-0041/TASKS.md +0 -12
  156. package/IMPLEMENTATION/RFC-0041/TESTS.md +0 -12
  157. package/IMPLEMENTATION/RFC-0042/ACCEPTANCE_CRITERIA.md +0 -7
  158. package/IMPLEMENTATION/RFC-0042/AI_BRIEF.md +0 -5
  159. package/IMPLEMENTATION/RFC-0042/FILES.md +0 -14
  160. package/IMPLEMENTATION/RFC-0042/TASKS.md +0 -12
  161. package/IMPLEMENTATION/RFC-0042/TESTS.md +0 -11
  162. package/IMPLEMENTATION/RFC-0043/ACCEPTANCE_CRITERIA.md +0 -7
  163. package/IMPLEMENTATION/RFC-0043/AI_BRIEF.md +0 -5
  164. package/IMPLEMENTATION/RFC-0043/FILES.md +0 -14
  165. package/IMPLEMENTATION/RFC-0043/TASKS.md +0 -12
  166. package/IMPLEMENTATION/RFC-0043/TESTS.md +0 -10
  167. package/IMPLEMENTATION/RFC-0044/ACCEPTANCE_CRITERIA.md +0 -7
  168. package/IMPLEMENTATION/RFC-0044/AI_BRIEF.md +0 -5
  169. package/IMPLEMENTATION/RFC-0044/FILES.md +0 -13
  170. package/IMPLEMENTATION/RFC-0044/TASKS.md +0 -12
  171. package/IMPLEMENTATION/RFC-0044/TESTS.md +0 -10
  172. package/IMPLEMENTATION/RFC-0045/ACCEPTANCE_CRITERIA.md +0 -30
  173. package/IMPLEMENTATION/RFC-0045/AI_BRIEF.md +0 -53
  174. package/IMPLEMENTATION/RFC-0045/FILES.md +0 -13
  175. package/IMPLEMENTATION/RFC-0045/TASKS.md +0 -31
  176. package/IMPLEMENTATION/RFC-0045/TESTS.md +0 -62
  177. package/IMPLEMENTATION/RFC-0046/ACCEPTANCE_CRITERIA.md +0 -1
  178. package/IMPLEMENTATION/RFC-0046/AI_BRIEF.md +0 -1
  179. package/IMPLEMENTATION/RFC-0046/FILES.md +0 -2
  180. package/IMPLEMENTATION/RFC-0046/TASKS.md +0 -3
  181. package/IMPLEMENTATION/RFC-0046/TESTS.md +0 -1
  182. package/IMPLEMENTATION/RFC-0047/ACCEPTANCE_CRITERIA.md +0 -1
  183. package/IMPLEMENTATION/RFC-0047/AI_BRIEF.md +0 -1
  184. package/IMPLEMENTATION/RFC-0047/FILES.md +0 -2
  185. package/IMPLEMENTATION/RFC-0047/TASKS.md +0 -3
  186. package/IMPLEMENTATION/RFC-0047/TESTS.md +0 -1
  187. package/IMPLEMENTATION/RFC-0048/ACCEPTANCE_CRITERIA.md +0 -1
  188. package/IMPLEMENTATION/RFC-0048/AI_BRIEF.md +0 -1
  189. package/IMPLEMENTATION/RFC-0048/FILES.md +0 -2
  190. package/IMPLEMENTATION/RFC-0048/TASKS.md +0 -3
  191. package/IMPLEMENTATION/RFC-0048/TESTS.md +0 -1
  192. package/IMPLEMENTATION/RFC-0049/ACCEPTANCE_CRITERIA.md +0 -1
  193. package/IMPLEMENTATION/RFC-0049/AI_BRIEF.md +0 -1
  194. package/IMPLEMENTATION/RFC-0049/FILES.md +0 -2
  195. package/IMPLEMENTATION/RFC-0049/TASKS.md +0 -3
  196. package/IMPLEMENTATION/RFC-0049/TESTS.md +0 -1
  197. package/IMPLEMENTATION/RFC-0050/ACCEPTANCE_CRITERIA.md +0 -1
  198. package/IMPLEMENTATION/RFC-0050/AI_BRIEF.md +0 -1
  199. package/IMPLEMENTATION/RFC-0050/FILES.md +0 -2
  200. package/IMPLEMENTATION/RFC-0050/TASKS.md +0 -3
  201. package/IMPLEMENTATION/RFC-0050/TESTS.md +0 -1
  202. package/IMPLEMENTATION/RFC-0051/ACCEPTANCE_CRITERIA.md +0 -6
  203. package/IMPLEMENTATION/RFC-0051/AI_BRIEF.md +0 -20
  204. package/IMPLEMENTATION/RFC-0051/FILES.md +0 -8
  205. package/IMPLEMENTATION/RFC-0051/TASKS.md +0 -3
  206. package/IMPLEMENTATION/RFC-0051/TESTS.md +0 -4
  207. package/IMPLEMENTATION/RFC-0052/ACCEPTANCE_CRITERIA.md +0 -7
  208. package/IMPLEMENTATION/RFC-0052/AI_BRIEF.md +0 -19
  209. package/IMPLEMENTATION/RFC-0052/FILES.md +0 -8
  210. package/IMPLEMENTATION/RFC-0052/TASKS.md +0 -3
  211. package/IMPLEMENTATION/RFC-0052/TESTS.md +0 -1
  212. package/IMPLEMENTATION/RFC-0053/ACCEPTANCE_CRITERIA.md +0 -8
  213. package/IMPLEMENTATION/RFC-0053/AI_BRIEF.md +0 -20
  214. package/IMPLEMENTATION/RFC-0053/FILES.md +0 -9
  215. package/IMPLEMENTATION/RFC-0053/TASKS.md +0 -3
  216. package/IMPLEMENTATION/RFC-0053/TESTS.md +0 -1
  217. package/IMPLEMENTATION/RFC-0054/ACCEPTANCE_CRITERIA.md +0 -8
  218. package/IMPLEMENTATION/RFC-0054/AI_BRIEF.md +0 -19
  219. package/IMPLEMENTATION/RFC-0054/FILES.md +0 -8
  220. package/IMPLEMENTATION/RFC-0054/TASKS.md +0 -3
  221. package/IMPLEMENTATION/RFC-0054/TESTS.md +0 -1
  222. package/IMPLEMENTATION/RFC-0055/ACCEPTANCE_CRITERIA.md +0 -8
  223. package/IMPLEMENTATION/RFC-0055/AI_BRIEF.md +0 -17
  224. package/IMPLEMENTATION/RFC-0055/FILES.md +0 -9
  225. package/IMPLEMENTATION/RFC-0055/TASKS.md +0 -3
  226. package/IMPLEMENTATION/RFC-0055/TESTS.md +0 -1
  227. package/IMPLEMENTATION/RFC-0056/ACCEPTANCE_CRITERIA.md +0 -6
  228. package/IMPLEMENTATION/RFC-0056/AI_BRIEF.md +0 -18
  229. package/IMPLEMENTATION/RFC-0056/FILES.md +0 -9
  230. package/IMPLEMENTATION/RFC-0056/TASKS.md +0 -9
  231. package/IMPLEMENTATION/RFC-0056/TESTS.md +0 -7
  232. package/IMPLEMENTATION/RFC-0057/ACCEPTANCE_CRITERIA.md +0 -5
  233. package/IMPLEMENTATION/RFC-0057/AI_BRIEF.md +0 -5
  234. package/IMPLEMENTATION/RFC-0057/FILES.md +0 -11
  235. package/IMPLEMENTATION/RFC-0057/TASKS.md +0 -9
  236. package/IMPLEMENTATION/RFC-0057/TESTS.md +0 -7
  237. package/IMPLEMENTATION/RFC-0058/ACCEPTANCE_CRITERIA.md +0 -6
  238. package/IMPLEMENTATION/RFC-0058/AI_BRIEF.md +0 -5
  239. package/IMPLEMENTATION/RFC-0058/FILES.md +0 -11
  240. package/IMPLEMENTATION/RFC-0058/TASKS.md +0 -9
  241. package/IMPLEMENTATION/RFC-0058/TESTS.md +0 -7
  242. package/IMPLEMENTATION/RFC-0059/ACCEPTANCE_CRITERIA.md +0 -6
  243. package/IMPLEMENTATION/RFC-0059/AI_BRIEF.md +0 -5
  244. package/IMPLEMENTATION/RFC-0059/FILES.md +0 -11
  245. package/IMPLEMENTATION/RFC-0059/TASKS.md +0 -9
  246. package/IMPLEMENTATION/RFC-0059/TESTS.md +0 -7
  247. package/IMPLEMENTATION/RFC-0060/ACCEPTANCE_CRITERIA.md +0 -7
  248. package/IMPLEMENTATION/RFC-0060/AI_BRIEF.md +0 -5
  249. package/IMPLEMENTATION/RFC-0060/FILES.md +0 -14
  250. package/IMPLEMENTATION/RFC-0060/TASKS.md +0 -12
  251. package/IMPLEMENTATION/RFC-0060/TESTS.md +0 -10
  252. package/IMPLEMENTATION/RFC-0061/ACCEPTANCE_CRITERIA.md +0 -1
  253. package/IMPLEMENTATION/RFC-0061/AI_BRIEF.md +0 -1
  254. package/IMPLEMENTATION/RFC-0061/FILES.md +0 -2
  255. package/IMPLEMENTATION/RFC-0061/TASKS.md +0 -4
  256. package/IMPLEMENTATION/RFC-0061/TESTS.md +0 -2
  257. package/IMPLEMENTATION/RFC-0062/ACCEPTANCE_CRITERIA.md +0 -1
  258. package/IMPLEMENTATION/RFC-0062/AI_BRIEF.md +0 -1
  259. package/IMPLEMENTATION/RFC-0062/FILES.md +0 -2
  260. package/IMPLEMENTATION/RFC-0062/TASKS.md +0 -4
  261. package/IMPLEMENTATION/RFC-0062/TESTS.md +0 -2
  262. package/IMPLEMENTATION/RFC-0063/ACCEPTANCE_CRITERIA.md +0 -1
  263. package/IMPLEMENTATION/RFC-0063/AI_BRIEF.md +0 -1
  264. package/IMPLEMENTATION/RFC-0063/FILES.md +0 -2
  265. package/IMPLEMENTATION/RFC-0063/TASKS.md +0 -4
  266. package/IMPLEMENTATION/RFC-0063/TESTS.md +0 -2
  267. package/IMPLEMENTATION/RFC-0064/ACCEPTANCE_CRITERIA.md +0 -1
  268. package/IMPLEMENTATION/RFC-0064/AI_BRIEF.md +0 -1
  269. package/IMPLEMENTATION/RFC-0064/FILES.md +0 -2
  270. package/IMPLEMENTATION/RFC-0064/TASKS.md +0 -4
  271. package/IMPLEMENTATION/RFC-0064/TESTS.md +0 -2
  272. package/IMPLEMENTATION/RFC-0065/ACCEPTANCE_CRITERIA.md +0 -1
  273. package/IMPLEMENTATION/RFC-0065/AI_BRIEF.md +0 -1
  274. package/IMPLEMENTATION/RFC-0065/FILES.md +0 -2
  275. package/IMPLEMENTATION/RFC-0065/TASKS.md +0 -4
  276. package/IMPLEMENTATION/RFC-0065/TESTS.md +0 -2
  277. package/IMPLEMENTATION/RFC-0066/ACCEPTANCE_CRITERIA.md +0 -2
  278. package/IMPLEMENTATION/RFC-0066/AI_BRIEF.md +0 -2
  279. package/IMPLEMENTATION/RFC-0066/FILES.md +0 -2
  280. package/IMPLEMENTATION/RFC-0066/TASKS.md +0 -4
  281. package/IMPLEMENTATION/RFC-0066/TESTS.md +0 -3
  282. package/IMPLEMENTATION/RFC-0067/ACCEPTANCE_CRITERIA.md +0 -2
  283. package/IMPLEMENTATION/RFC-0067/AI_BRIEF.md +0 -2
  284. package/IMPLEMENTATION/RFC-0067/FILES.md +0 -2
  285. package/IMPLEMENTATION/RFC-0067/TASKS.md +0 -4
  286. package/IMPLEMENTATION/RFC-0067/TESTS.md +0 -3
  287. package/IMPLEMENTATION/RFC-0068/ACCEPTANCE_CRITERIA.md +0 -2
  288. package/IMPLEMENTATION/RFC-0068/AI_BRIEF.md +0 -2
  289. package/IMPLEMENTATION/RFC-0068/FILES.md +0 -2
  290. package/IMPLEMENTATION/RFC-0068/TASKS.md +0 -4
  291. package/IMPLEMENTATION/RFC-0068/TESTS.md +0 -3
  292. package/IMPLEMENTATION/RFC-0069/ACCEPTANCE_CRITERIA.md +0 -2
  293. package/IMPLEMENTATION/RFC-0069/AI_BRIEF.md +0 -2
  294. package/IMPLEMENTATION/RFC-0069/FILES.md +0 -2
  295. package/IMPLEMENTATION/RFC-0069/TASKS.md +0 -4
  296. package/IMPLEMENTATION/RFC-0069/TESTS.md +0 -3
  297. package/IMPLEMENTATION/RFC-0070/ACCEPTANCE_CRITERIA.md +0 -2
  298. package/IMPLEMENTATION/RFC-0070/AI_BRIEF.md +0 -2
  299. package/IMPLEMENTATION/RFC-0070/FILES.md +0 -2
  300. package/IMPLEMENTATION/RFC-0070/TASKS.md +0 -4
  301. package/IMPLEMENTATION/RFC-0070/TESTS.md +0 -3
  302. package/IMPLEMENTATION/RFC-0071/ACCEPTANCE_CRITERIA.md +0 -2
  303. package/IMPLEMENTATION/RFC-0071/AI_BRIEF.md +0 -2
  304. package/IMPLEMENTATION/RFC-0071/FILES.md +0 -2
  305. package/IMPLEMENTATION/RFC-0071/TASKS.md +0 -4
  306. package/IMPLEMENTATION/RFC-0071/TESTS.md +0 -3
  307. package/IMPLEMENTATION/RFC-0072/ACCEPTANCE_CRITERIA.md +0 -2
  308. package/IMPLEMENTATION/RFC-0072/AI_BRIEF.md +0 -2
  309. package/IMPLEMENTATION/RFC-0072/FILES.md +0 -2
  310. package/IMPLEMENTATION/RFC-0072/TASKS.md +0 -4
  311. package/IMPLEMENTATION/RFC-0072/TESTS.md +0 -3
  312. package/IMPLEMENTATION/RFC-0073/ACCEPTANCE_CRITERIA.md +0 -2
  313. package/IMPLEMENTATION/RFC-0073/AI_BRIEF.md +0 -2
  314. package/IMPLEMENTATION/RFC-0073/FILES.md +0 -2
  315. package/IMPLEMENTATION/RFC-0073/TASKS.md +0 -4
  316. package/IMPLEMENTATION/RFC-0073/TESTS.md +0 -3
  317. package/IMPLEMENTATION/RFC-0074/ACCEPTANCE_CRITERIA.md +0 -2
  318. package/IMPLEMENTATION/RFC-0074/AI_BRIEF.md +0 -17
  319. package/IMPLEMENTATION/RFC-0074/FILES.md +0 -2
  320. package/IMPLEMENTATION/RFC-0074/TASKS.md +0 -4
  321. package/IMPLEMENTATION/RFC-0074/TESTS.md +0 -3
  322. package/IMPLEMENTATION/RFC-0075/ACCEPTANCE_CRITERIA.md +0 -2
  323. package/IMPLEMENTATION/RFC-0075/AI_BRIEF.md +0 -2
  324. package/IMPLEMENTATION/RFC-0075/FILES.md +0 -2
  325. package/IMPLEMENTATION/RFC-0075/TASKS.md +0 -4
  326. package/IMPLEMENTATION/RFC-0075/TESTS.md +0 -3
  327. package/IMPLEMENTATION/RFC-0076/ACCEPTANCE_CRITERIA.md +0 -2
  328. package/IMPLEMENTATION/RFC-0076/AI_BRIEF.md +0 -2
  329. package/IMPLEMENTATION/RFC-0076/FILES.md +0 -2
  330. package/IMPLEMENTATION/RFC-0076/TASKS.md +0 -4
  331. package/IMPLEMENTATION/RFC-0076/TESTS.md +0 -3
  332. package/IMPLEMENTATION/RFC-0077/ACCEPTANCE_CRITERIA.md +0 -2
  333. package/IMPLEMENTATION/RFC-0077/AI_BRIEF.md +0 -2
  334. package/IMPLEMENTATION/RFC-0077/FILES.md +0 -2
  335. package/IMPLEMENTATION/RFC-0077/TASKS.md +0 -4
  336. package/IMPLEMENTATION/RFC-0077/TESTS.md +0 -3
  337. package/IMPLEMENTATION/RFC-0078/ACCEPTANCE_CRITERIA.md +0 -2
  338. package/IMPLEMENTATION/RFC-0078/AI_BRIEF.md +0 -17
  339. package/IMPLEMENTATION/RFC-0078/FILES.md +0 -2
  340. package/IMPLEMENTATION/RFC-0078/TASKS.md +0 -4
  341. package/IMPLEMENTATION/RFC-0078/TESTS.md +0 -3
  342. package/IMPLEMENTATION/RFC-0079/ACCEPTANCE_CRITERIA.md +0 -2
  343. package/IMPLEMENTATION/RFC-0079/AI_BRIEF.md +0 -7
  344. package/IMPLEMENTATION/RFC-0079/FILES.md +0 -2
  345. package/IMPLEMENTATION/RFC-0079/TASKS.md +0 -4
  346. package/IMPLEMENTATION/RFC-0079/TESTS.md +0 -3
  347. package/IMPLEMENTATION/RFC-0080/ACCEPTANCE_CRITERIA.md +0 -2
  348. package/IMPLEMENTATION/RFC-0080/AI_BRIEF.md +0 -2
  349. package/IMPLEMENTATION/RFC-0080/FILES.md +0 -2
  350. package/IMPLEMENTATION/RFC-0080/TASKS.md +0 -4
  351. package/IMPLEMENTATION/RFC-0080/TESTS.md +0 -3
  352. package/IMPLEMENTATION/RFC-0081/ACCEPTANCE_CRITERIA.md +0 -2
  353. package/IMPLEMENTATION/RFC-0081/AI_BRIEF.md +0 -2
  354. package/IMPLEMENTATION/RFC-0081/FILES.md +0 -2
  355. package/IMPLEMENTATION/RFC-0081/TASKS.md +0 -4
  356. package/IMPLEMENTATION/RFC-0081/TESTS.md +0 -3
  357. package/IMPLEMENTATION/RFC-0082/ACCEPTANCE_CRITERIA.md +0 -2
  358. package/IMPLEMENTATION/RFC-0082/AI_BRIEF.md +0 -2
  359. package/IMPLEMENTATION/RFC-0082/FILES.md +0 -2
  360. package/IMPLEMENTATION/RFC-0082/TASKS.md +0 -4
  361. package/IMPLEMENTATION/RFC-0082/TESTS.md +0 -3
  362. package/IMPLEMENTATION/RFC-0083/ACCEPTANCE_CRITERIA.md +0 -2
  363. package/IMPLEMENTATION/RFC-0083/AI_BRIEF.md +0 -2
  364. package/IMPLEMENTATION/RFC-0083/FILES.md +0 -2
  365. package/IMPLEMENTATION/RFC-0083/TASKS.md +0 -4
  366. package/IMPLEMENTATION/RFC-0083/TESTS.md +0 -3
  367. package/IMPLEMENTATION/RFC-0084/ACCEPTANCE_CRITERIA.md +0 -2
  368. package/IMPLEMENTATION/RFC-0084/AI_BRIEF.md +0 -2
  369. package/IMPLEMENTATION/RFC-0084/FILES.md +0 -2
  370. package/IMPLEMENTATION/RFC-0084/TASKS.md +0 -4
  371. package/IMPLEMENTATION/RFC-0084/TESTS.md +0 -3
  372. package/IMPLEMENTATION/RFC-0085/ACCEPTANCE_CRITERIA.md +0 -2
  373. package/IMPLEMENTATION/RFC-0085/AI_BRIEF.md +0 -2
  374. package/IMPLEMENTATION/RFC-0085/FILES.md +0 -2
  375. package/IMPLEMENTATION/RFC-0085/TASKS.md +0 -4
  376. package/IMPLEMENTATION/RFC-0085/TESTS.md +0 -3
  377. package/IMPLEMENTATION/RFC-0086/ACCEPTANCE_CRITERIA.md +0 -2
  378. package/IMPLEMENTATION/RFC-0086/AI_BRIEF.md +0 -2
  379. package/IMPLEMENTATION/RFC-0086/FILES.md +0 -2
  380. package/IMPLEMENTATION/RFC-0086/TASKS.md +0 -4
  381. package/IMPLEMENTATION/RFC-0086/TESTS.md +0 -3
  382. package/IMPLEMENTATION/RFC-0087/ACCEPTANCE_CRITERIA.md +0 -2
  383. package/IMPLEMENTATION/RFC-0087/AI_BRIEF.md +0 -2
  384. package/IMPLEMENTATION/RFC-0087/FILES.md +0 -2
  385. package/IMPLEMENTATION/RFC-0087/TASKS.md +0 -4
  386. package/IMPLEMENTATION/RFC-0087/TESTS.md +0 -3
  387. package/IMPLEMENTATION/RFC-0088/ACCEPTANCE_CRITERIA.md +0 -2
  388. package/IMPLEMENTATION/RFC-0088/AI_BRIEF.md +0 -2
  389. package/IMPLEMENTATION/RFC-0088/FILES.md +0 -2
  390. package/IMPLEMENTATION/RFC-0088/TASKS.md +0 -4
  391. package/IMPLEMENTATION/RFC-0088/TESTS.md +0 -3
  392. package/IMPLEMENTATION/RFC-0089/ACCEPTANCE_CRITERIA.md +0 -2
  393. package/IMPLEMENTATION/RFC-0089/AI_BRIEF.md +0 -2
  394. package/IMPLEMENTATION/RFC-0089/FILES.md +0 -2
  395. package/IMPLEMENTATION/RFC-0089/TASKS.md +0 -4
  396. package/IMPLEMENTATION/RFC-0089/TESTS.md +0 -3
  397. package/IMPLEMENTATION/RFC-0090/ACCEPTANCE_CRITERIA.md +0 -2
  398. package/IMPLEMENTATION/RFC-0090/AI_BRIEF.md +0 -2
  399. package/IMPLEMENTATION/RFC-0090/FILES.md +0 -2
  400. package/IMPLEMENTATION/RFC-0090/TASKS.md +0 -4
  401. package/IMPLEMENTATION/RFC-0090/TESTS.md +0 -3
  402. package/IMPLEMENTATION/RFC-0091/ACCEPTANCE_CRITERIA.md +0 -2
  403. package/IMPLEMENTATION/RFC-0091/AI_BRIEF.md +0 -2
  404. package/IMPLEMENTATION/RFC-0091/FILES.md +0 -2
  405. package/IMPLEMENTATION/RFC-0091/TASKS.md +0 -4
  406. package/IMPLEMENTATION/RFC-0091/TESTS.md +0 -3
  407. package/IMPLEMENTATION/RFC-0092/ACCEPTANCE_CRITERIA.md +0 -2
  408. package/IMPLEMENTATION/RFC-0092/AI_BRIEF.md +0 -20
  409. package/IMPLEMENTATION/RFC-0092/FILES.md +0 -2
  410. package/IMPLEMENTATION/RFC-0092/TASKS.md +0 -4
  411. package/IMPLEMENTATION/RFC-0092/TESTS.md +0 -3
  412. package/IMPLEMENTATION/RFC-0093/ACCEPTANCE_CRITERIA.md +0 -2
  413. package/IMPLEMENTATION/RFC-0093/AI_BRIEF.md +0 -22
  414. package/IMPLEMENTATION/RFC-0093/FILES.md +0 -2
  415. package/IMPLEMENTATION/RFC-0093/TASKS.md +0 -4
  416. package/IMPLEMENTATION/RFC-0093/TESTS.md +0 -3
  417. package/IMPLEMENTATION/RFC-0094/ACCEPTANCE_CRITERIA.md +0 -2
  418. package/IMPLEMENTATION/RFC-0094/AI_BRIEF.md +0 -2
  419. package/IMPLEMENTATION/RFC-0094/FILES.md +0 -2
  420. package/IMPLEMENTATION/RFC-0094/TASKS.md +0 -4
  421. package/IMPLEMENTATION/RFC-0094/TESTS.md +0 -3
  422. package/IMPLEMENTATION/RFC-0095/ACCEPTANCE_CRITERIA.md +0 -2
  423. package/IMPLEMENTATION/RFC-0095/AI_BRIEF.md +0 -2
  424. package/IMPLEMENTATION/RFC-0095/FILES.md +0 -2
  425. package/IMPLEMENTATION/RFC-0095/TASKS.md +0 -4
  426. package/IMPLEMENTATION/RFC-0095/TESTS.md +0 -3
  427. package/IMPLEMENTATION/RFC-0096/ACCEPTANCE_CRITERIA.md +0 -2
  428. package/IMPLEMENTATION/RFC-0096/AI_BRIEF.md +0 -2
  429. package/IMPLEMENTATION/RFC-0096/FILES.md +0 -2
  430. package/IMPLEMENTATION/RFC-0096/TASKS.md +0 -4
  431. package/IMPLEMENTATION/RFC-0096/TESTS.md +0 -3
  432. package/IMPLEMENTATION/RFC-0097/ACCEPTANCE_CRITERIA.md +0 -2
  433. package/IMPLEMENTATION/RFC-0097/AI_BRIEF.md +0 -2
  434. package/IMPLEMENTATION/RFC-0097/FILES.md +0 -2
  435. package/IMPLEMENTATION/RFC-0097/TASKS.md +0 -4
  436. package/IMPLEMENTATION/RFC-0097/TESTS.md +0 -3
  437. package/IMPLEMENTATION/RFC-0098/ACCEPTANCE_CRITERIA.md +0 -2
  438. package/IMPLEMENTATION/RFC-0098/AI_BRIEF.md +0 -2
  439. package/IMPLEMENTATION/RFC-0098/FILES.md +0 -2
  440. package/IMPLEMENTATION/RFC-0098/TASKS.md +0 -4
  441. package/IMPLEMENTATION/RFC-0098/TESTS.md +0 -3
  442. package/IMPLEMENTATION/RFC-0099/ACCEPTANCE_CRITERIA.md +0 -2
  443. package/IMPLEMENTATION/RFC-0099/AI_BRIEF.md +0 -2
  444. package/IMPLEMENTATION/RFC-0099/FILES.md +0 -2
  445. package/IMPLEMENTATION/RFC-0099/TASKS.md +0 -4
  446. package/IMPLEMENTATION/RFC-0099/TESTS.md +0 -3
  447. package/IMPLEMENTATION/RFC-0100/ACCEPTANCE_CRITERIA.md +0 -2
  448. package/IMPLEMENTATION/RFC-0100/AI_BRIEF.md +0 -2
  449. package/IMPLEMENTATION/RFC-0100/FILES.md +0 -2
  450. package/IMPLEMENTATION/RFC-0100/TASKS.md +0 -4
  451. package/IMPLEMENTATION/RFC-0100/TESTS.md +0 -3
  452. package/IMPLEMENTATION/RFC-0101/ACCEPTANCE_CRITERIA.md +0 -74
  453. package/IMPLEMENTATION/RFC-0101/AI_BRIEF.md +0 -80
  454. package/IMPLEMENTATION/RFC-0101/FILES.md +0 -82
  455. package/IMPLEMENTATION/RFC-0101/TASKS.md +0 -92
  456. package/IMPLEMENTATION/RFC-0101/TESTS.md +0 -127
  457. package/IMPLEMENTATION/RFC-0102/ACCEPTANCE_CRITERIA.md +0 -33
  458. package/IMPLEMENTATION/RFC-0102/AI_BRIEF.md +0 -34
  459. package/IMPLEMENTATION/RFC-0102/FILES.md +0 -73
  460. package/IMPLEMENTATION/RFC-0102/TASKS.md +0 -75
  461. package/IMPLEMENTATION/RFC-0102/TESTS.md +0 -78
  462. package/IMPLEMENTATION/RFC-0103/ACCEPTANCE_CRITERIA.md +0 -45
  463. package/IMPLEMENTATION/RFC-0103/AI_BRIEF.md +0 -46
  464. package/IMPLEMENTATION/RFC-0103/FILES.md +0 -121
  465. package/IMPLEMENTATION/RFC-0103/TASKS.md +0 -97
  466. package/IMPLEMENTATION/RFC-0103/TESTS.md +0 -118
  467. package/IMPLEMENTATION/RFC-0104/ACCEPTANCE_CRITERIA.md +0 -29
  468. package/IMPLEMENTATION/RFC-0104/FILES.md +0 -33
  469. package/IMPLEMENTATION/RFC-0105/ACCEPTANCE_CRITERIA.md +0 -29
  470. package/IMPLEMENTATION/RFC-0105/FILES.md +0 -41
  471. package/IMPLEMENTATION/RFC-0106/ACCEPTANCE_CRITERIA.md +0 -29
  472. package/IMPLEMENTATION/RFC-0106/FILES.md +0 -43
  473. package/RFC/0001_LOOP_RUNTIME.md +0 -14
  474. package/RFC/0002_PROVIDER_ADAPTER.md +0 -3
  475. package/RFC/0003_QUOTA_MANAGER.md +0 -3
  476. package/RFC/0004_PLAYWRIGHT_ADAPTER.md +0 -3
  477. package/RFC/0005_GIT_WORKTREE.md +0 -3
  478. package/RFC/0006_CHECKPOINT_MANAGER.md +0 -56
  479. package/RFC/0007_SCHEDULER.md +0 -32
  480. package/RFC/0008_PROVIDER_ROUTER.md +0 -44
  481. package/RFC/0009_SHARED_CONTEXT.md +0 -32
  482. package/RFC/0010_CONTEXT_WINDOW_MANAGER.md +0 -50
  483. package/RFC/0011_SHARED_BLACKBOARD.md +0 -42
  484. package/RFC/0012_AGENT_HANDOFF_PROTOCOL.md +0 -41
  485. package/RFC/0013_E2E_TEST_ENGINE.md +0 -42
  486. package/RFC/0014_PROJECT_DETECTOR_AND_TEST_DATA_ENGINE.md +0 -35
  487. package/RFC/0015_JOB_STATE_MACHINE.md +0 -45
  488. package/RFC/0016_TASK_GRAPH.md +0 -31
  489. package/RFC/0017_MASTER_PLANNER.md +0 -32
  490. package/RFC/0018_REPAIR_ENGINE.md +0 -36
  491. package/RFC/0019_AUTO_COMPACT_AND_CONTINUE.md +0 -51
  492. package/RFC/0020_OUTPUT_TOKEN_LIMIT_HANDLER.md +0 -49
  493. package/RFC/0021_PARTIAL_RESPONSE_RECOVERY.md +0 -49
  494. package/RFC/0022_NOTIFICATION_CENTER.md +0 -47
  495. package/RFC/0023_LOCAL_BROWSER_AGENT.md +0 -67
  496. package/RFC/0024_LOCAL_RUNTIME_AGENT.md +0 -3
  497. package/RFC/0025_COMMAND_EXECUTOR.md +0 -3
  498. package/RFC/0026_WORKSPACE_MANAGER.md +0 -3
  499. package/RFC/0027_RUNTIME_API.md +0 -3
  500. package/RFC/0028_POLICY_ENGINE.md +0 -3
  501. package/RFC/0029_DEEPAGENTS_ADAPTER.md +0 -2
  502. package/RFC/0030_AGENT_WORKER_INTERFACE.md +0 -2
  503. package/RFC/0031_PROVIDER_ADAPTER_SDK.md +0 -171
  504. package/RFC/0032_CHECKPOINT_ENGINE.md +0 -217
  505. package/RFC/0033_SESSION_MANAGER.md +0 -262
  506. package/RFC/0034_OBSERVABILITY.md +0 -416
  507. package/RFC/0035_ROADMAP_V1.md +0 -295
  508. package/RFC/0036_CODE_REVIEW_ENGINE.md +0 -430
  509. package/RFC/0037_CODE_GENERATION_PIPELINE.md +0 -504
  510. package/RFC/0038_FRAMEWORK_DETECTOR.md +0 -466
  511. package/RFC/0039_TEST_DATA_GENERATOR.md +0 -504
  512. package/RFC/0040_FRAMEWORK_PLUGIN_SDK.md +0 -543
  513. package/RFC/0041_PROMPT_COMPILER.md +0 -232
  514. package/RFC/0042_CONTEXT_COMPILER.md +0 -216
  515. package/RFC/0043_REQUIREMENT_COMPILER.md +0 -211
  516. package/RFC/0044_TASK_COMPILER.md +0 -207
  517. package/RFC/0045_PROJECT_ANALYZER.md +0 -246
  518. package/RFC/0046_DEPENDENCY_ANALYZER.md +0 -14
  519. package/RFC/0047_REPOSITORY_KNOWLEDGE_GRAPH.md +0 -14
  520. package/RFC/0048_CODE_MERGE_ENGINE.md +0 -14
  521. package/RFC/0049_CONFLICT_RESOLUTION_ENGINE.md +0 -14
  522. package/RFC/0050_DOCUMENTATION_GENERATOR.md +0 -14
  523. package/RFC/0051_CAPABILITY_REGISTRY.md +0 -144
  524. package/RFC/0052_SKILL_REGISTRY.md +0 -167
  525. package/RFC/0053_MODEL_REGISTRY.md +0 -214
  526. package/RFC/0054_PROVIDER_ROUTER.md +0 -239
  527. package/RFC/0055_COST_OPTIMIZER.md +0 -285
  528. package/RFC/0056_PERFORMANCE_OPTIMIZER.md +0 -118
  529. package/RFC/0057_EVALUATION_ENGINE.md +0 -116
  530. package/RFC/0058_LEARNING_ENGINE.md +0 -113
  531. package/RFC/0059_EXPERIENCE_REPLAY.md +0 -107
  532. package/RFC/0060_MEMORY_ENGINE_OKF.md +0 -152
  533. package/RFC/0061_FRAPPE_PLUGIN.md +0 -9
  534. package/RFC/0062_NEXTJS_PLUGIN.md +0 -9
  535. package/RFC/0063_REACT_VITE_PLUGIN.md +0 -9
  536. package/RFC/0064_DJANGO_PLUGIN.md +0 -9
  537. package/RFC/0065_LARAVEL_PLUGIN.md +0 -9
  538. package/RFC/0066_GENERIC_WEB_PLUGIN.md +0 -24
  539. package/RFC/0067_CLI_PLUGIN_SDK.md +0 -101
  540. package/RFC/0068_MCP_ADAPTER.md +0 -114
  541. package/RFC/0069_GOOGLE_A2A_ADAPTER.md +0 -139
  542. package/RFC/0070_OPENAI_CODEX_ADAPTER.md +0 -134
  543. package/RFC/0071_REQUIREMENT_INTAKE.md +0 -95
  544. package/RFC/0072_PROJECT_BOOTSTRAP.md +0 -82
  545. package/RFC/0073_ARCHITECTURE_GENERATOR.md +0 -85
  546. package/RFC/0074_SPRINT_PLANNER.md +0 -61
  547. package/RFC/0075_MILESTONE_MANAGER.md +0 -58
  548. package/RFC/0076_BACKLOG_MANAGER.md +0 -24
  549. package/RFC/0077_HUMAN_APPROVAL_GATE.md +0 -24
  550. package/RFC/0078_RELEASE_MANAGER.md +0 -24
  551. package/RFC/0079_VERSION_MANAGER.md +0 -24
  552. package/RFC/0080_DEPLOYMENT_PIPELINE.md +0 -24
  553. package/RFC/0081_MULTI_USER_RUNTIME.md +0 -24
  554. package/RFC/0082_RBAC.md +0 -24
  555. package/RFC/0083_AUDIT_TRAIL.md +0 -24
  556. package/RFC/0084_DASHBOARD.md +0 -24
  557. package/RFC/0085_ANALYTICS.md +0 -24
  558. package/RFC/0086_DISTRIBUTED_RUNTIME.md +0 -24
  559. package/RFC/0087_CLUSTER_MANAGER.md +0 -24
  560. package/RFC/0088_RUNTIME_FEDERATION.md +0 -24
  561. package/RFC/0089_HIGH_AVAILABILITY.md +0 -24
  562. package/RFC/0090_DISASTER_RECOVERY.md +0 -24
  563. package/RFC/0091_AUTONOMOUS_ARCHITECTURE_REVIEW.md +0 -24
  564. package/RFC/0092_AUTONOMOUS_REFACTORING.md +0 -24
  565. package/RFC/0093_AUTONOMOUS_BUG_FIXING.md +0 -24
  566. package/RFC/0094_AUTONOMOUS_PERFORMANCE_TUNING.md +0 -24
  567. package/RFC/0095_AUTONOMOUS_SECURITY_REVIEW.md +0 -24
  568. package/RFC/0096_AUTONOMOUS_COST_OPTIMIZATION.md +0 -24
  569. package/RFC/0097_AUTONOMOUS_DOCUMENTATION.md +0 -24
  570. package/RFC/0098_AUTONOMOUS_KNOWLEDGE_MANAGEMENT.md +0 -24
  571. package/RFC/0099_RUNTIME_EVOLUTION_ENGINE.md +0 -24
  572. package/RFC/0100_SELF_DEVELOPING_RUNTIME.md +0 -24
  573. package/RFC/0101_AUTONOMOUS_OPERATIONS_RUNTIME.md +0 -1105
  574. package/RFC/0102_CONTEXT_ENGINEERING_PIPELINE.md +0 -508
  575. package/RFC/0103_SESSION_EVENT_RUNTIME_AGENT_COMMUNICATION_LAYER.md +0 -616
  576. package/RFC/0104_DISTRIBUTED_AGENT_COMMUNICATION.md +0 -143
  577. package/RFC/0105_DISTRIBUTED_KNOWLEDGE_RETRIEVAL.md +0 -301
  578. package/RFC/0106_KNOWLEDGE_GRAPH_PROVENANCE.md +0 -368
  579. package/RFC/README.md +0 -11
  580. package/packages/event-bus/dist/tsconfig.tsbuildinfo +0 -1
  581. package/packages/provider-adapter-sdk/dist/tsconfig.tsbuildinfo +0 -1
@@ -1,55 +0,0 @@
1
- # RFC-0035 AI Brief: Roadmap V1
2
-
3
- ## Summary
4
-
5
- Implementation roadmap for RFCs 0031-0040 with phases, dependencies, and milestones.
6
-
7
- ## Phases Overview
8
-
9
- ### Phase 1: Foundation (Weeks 1-2)
10
-
11
- - RFC-0031: Provider Adapter SDK
12
- - RFC-0034: Observability
13
-
14
- ### Phase 2: Core Systems (Weeks 3-5)
15
-
16
- - RFC-0032: Checkpoint Engine
17
- - RFC-0033: Session Manager
18
- - Integration testing
19
-
20
- ### Phase 3: Advanced Features (Weeks 6-10)
21
-
22
- - RFC-0036: Code Review Engine
23
- - RFC-0037: Code Generation Pipeline
24
- - RFC-0038: Framework Detector
25
- - RFC-0039: Test Data Generator
26
- - RFC-0040: Framework Plugin SDK
27
-
28
- ## Key Dependencies
29
-
30
- ```
31
- RFC-0031 (Adapter SDK) --+--► RFC-0036 (Code Review Engine)
32
- |
33
- RFC-0032 (Checkpoint) ◄--+
34
- |
35
- RFC-0033 (Session) ◄-----+--► RFC-0034 (Observability)
36
- |
37
- RFC-0034 (Observability) ◄+
38
-
39
- RFC-0038 (Framework Detector) --+--► RFC-0039 (Test Data Generator)
40
- |
41
- RFC-0037 (Code Generation) ◄-----+
42
- |
43
- RFC-0040 (Plugin SDK) ◄----------+
44
- ```
45
-
46
- ## Success Metrics
47
-
48
- - Checkpoint storage reduction: >60%
49
- - Recovery time: <100ms
50
- - Session restore success rate: >99%
51
- - Framework detection accuracy: >90%
52
-
53
- ## Files to Create
54
-
55
- This RFC is documentation-only - no implementation files needed.
@@ -1,75 +0,0 @@
1
- # RFC-0035 Implementation Tasks
2
-
3
- ## Phase 1: Foundation (Weeks 1-2)
4
-
5
- ### Week 1: RFC-0031 Provider Adapter SDK
6
-
7
- - [ ] Complete RFC-0031 implementation (see RFC-0031 TASKS.md)
8
- - [ ] Migration of existing adapters
9
- - [ ] SDK documentation
10
-
11
- ### Week 2: RFC-0034 Observability
12
-
13
- - [ ] Complete RFC-0034 implementation (see RFC-0034 TASKS.md)
14
- - [ ] Structured logging integration
15
- - [ ] Metrics endpoint
16
- - [ ] Health check endpoints
17
-
18
- ## Phase 2: Core Systems (Weeks 3-5)
19
-
20
- ### Week 3: RFC-0032 Checkpoint Engine
21
-
22
- - [ ] Complete RFC-0032 implementation (see RFC-0032 TASKS.md)
23
- - [ ] Incremental storage
24
- - [ ] Compression
25
- - [ ] Recovery strategies
26
-
27
- ### Week 4: RFC-0033 Session Manager
28
-
29
- - [ ] Complete RFC-0033 implementation (see RFC-0033 TASKS.md)
30
- - [ ] Session persistence
31
- - [ ] Policy engine
32
- - [ ] Metrics collection
33
-
34
- ### Week 5: Integration Testing
35
-
36
- - [ ] Integration tests for all Phase 1-2 components
37
- - [ ] Performance benchmarks
38
- - [ ] Documentation updates
39
- - [ ] Bug fixes
40
-
41
- ## Phase 3: Advanced Features (Weeks 6-10)
42
-
43
- ### Week 6-7: RFC-0036 Code Review Engine
44
-
45
- - [ ] Complete RFC-0036 implementation (see RFC-0036 TASKS.md)
46
- - [ ] Integration with AgentWorker
47
- - [ ] CI/CD examples
48
-
49
- ### Week 7-8: RFC-0037 Code Generation Pipeline
50
-
51
- - [ ] Complete RFC-0037 implementation (see RFC-0037 TASKS.md)
52
- - [ ] Template system
53
- - [ ] Validation pipeline
54
- - [ ] Rollback mechanism
55
-
56
- ### Week 8-9: RFC-0038 Framework Detector
57
-
58
- - [ ] Complete RFC-0038 implementation (see RFC-0038 TASKS.md)
59
- - [ ] Detection signatures
60
- - [ ] Version detection
61
- - [ ] Real-time watching
62
-
63
- ### Week 9-10: RFC-0039 & RFC-0040
64
-
65
- - [ ] Complete RFC-0039 Test Data Generator
66
- - [ ] Complete RFC-0040 Framework Plugin SDK
67
- - [ ] Plugin examples
68
- - [ ] Final integration testing
69
-
70
- ## Ongoing Tasks
71
-
72
- - [ ] Update CHANGELOG.md with each release
73
- - [ ] Maintain README.md with progress
74
- - [ ] Performance monitoring
75
- - [ ] User feedback integration
@@ -1,62 +0,0 @@
1
- # RFC-0036 AI Brief: Code Review Engine
2
-
3
- ## Summary
4
-
5
- An automated code review engine that performs static analysis, runs linters, and integrates AI-powered review suggestions.
6
-
7
- ## Implementation Overview
8
-
9
- ### Key Classes to Implement
10
-
11
- 1. **CodeReviewEngine** (`engine.ts`)
12
- - Pattern-based rule matching
13
- - Multi-file review
14
- - Git diff review
15
- - Report generation
16
-
17
- 2. **Review DSL Parser** (`dsl/parser.ts`)
18
- - Parse review-rules.config.ts
19
- - Validate rule definitions
20
- - Load ESLint/TypeScript configs
21
-
22
- 3. **Linter Adapters** (`linters/`)
23
- - ESLint adapter
24
- - TypeScript adapter
25
- - Prettier adapter
26
- - Custom linter support
27
-
28
- 4. **AIReviewer** (`ai-reviewer/`)
29
- - OpenAI integration
30
- - Anthropic/Claude integration
31
- - Security, performance, best-practices focus areas
32
-
33
- 5. **Report Generator** (`reports/`)
34
- - Text format
35
- - JSON format
36
- - HTML format
37
- - Markdown format
38
-
39
- ### Dependencies
40
-
41
- - `packages/types` - for runtime-types
42
- - `packages/provider-adapter-sdk` - for AI provider integration
43
- - `eslint` - optional, for ESLint integration
44
- - `typescript` - optional, for TS checking
45
-
46
- ### Files to Create
47
-
48
- - `packages/code-review/src/engine.ts`
49
- - `packages/code-review/src/dsl/parser.ts`
50
- - `packages/code-review/src/dsl/validator.ts`
51
- - `packages/code-review/src/linters/base.ts`
52
- - `packages/code-review/src/linters/eslint.ts`
53
- - `packages/code-review/src/linters/typescript.ts`
54
- - `packages/code-review/src/linters/prettier.ts`
55
- - `packages/code-review/src/linters/registry.ts`
56
- - `packages/code-review/src/ai-reviewer/index.ts`
57
- - `packages/code-review/src/reports/text.ts`
58
- - `packages/code-review/src/reports/html.ts`
59
- - `packages/code-review/src/reports/markdown.ts`
60
- - `packages/code-review/src/history/tracker.ts`
61
- - `packages/code-review/src/types.ts`
62
- - `packages/code-review/src/index.ts`
@@ -1,60 +0,0 @@
1
- # RFC-0036 Implementation Tasks
2
-
3
- ## Phase 1: Engine Core
4
-
5
- - [ ] Create `packages/code-review/` directory
6
- - [ ] Define types (`Finding`, `ReviewResult`, `ReviewRule`)
7
- - [ ] Create `CodeReviewEngine` class
8
- - [ ] Implement `reviewFiles()` method
9
- - [ ] Implement `reviewDiff()` method
10
- - [ ] Implement pattern matching engine
11
-
12
- ## Phase 2: DSL & Rules
13
-
14
- - [ ] Create `dsl/parser.ts`
15
- - [ ] Implement rules configuration parsing
16
- - [ ] Implement pattern validation
17
- - [ ] Create default rules:
18
- - [ ] no-console-log
19
- - [ ] no-any-type
20
- - [ ] security-no-eval
21
- - [ ] Add support for external config files
22
-
23
- ## Phase 3: Linter Integration
24
-
25
- - [ ] Create `LinterAdapter` interface
26
- - [ ] Implement `ESLintAdapter`
27
- - [ ] Implement `TypeScriptAdapter`
28
- - [ ] Implement `PrettierAdapter`
29
- - [ ] Create `LinterRegistry`
30
- - [ ] Add support for custom linters
31
-
32
- ## Phase 4: AI Reviewer
33
-
34
- - [ ] Create `AIReviewer` class
35
- - [ ] Implement `AIReviewerConfig`
36
- - [ ] Implement OpenAI integration
37
- - [ ] Implement Anthropic/Claude integration
38
- - [ ] Add focus areas (security, performance, etc.)
39
-
40
- ## Phase 5: Reporting
41
-
42
- - [ ] Create `ReviewReportGenerator`
43
- - [ ] Implement text report format
44
- - [ ] Implement JSON report format
45
- - [ ] Implement HTML report format
46
- - [ ] Implement Markdown report format
47
-
48
- ## Phase 6: History & Trends
49
-
50
- - [ ] Create `ReviewHistoryTracker`
51
- - [ ] Implement `getTrends()`
52
- - [ ] Add comparison between reviews
53
- - [ ] Create trend visualization data
54
-
55
- ## Phase 7: Integration
56
-
57
- - [ ] Integrate with AgentWorker
58
- - [ ] Add CI/CD examples (GitHub Actions, GitLab CI)
59
- - [ ] Create review-rules.config.ts examples
60
- - [ ] Write unit tests
@@ -1,59 +0,0 @@
1
- # RFC-0037 AI Brief: Code Generation Pipeline
2
-
3
- ## Summary
4
-
5
- A comprehensive code generation system with template management, validation pipeline, and automatic rollback capabilities.
6
-
7
- ## Implementation Overview
8
-
9
- ### Key Classes to Implement
10
-
11
- 1. **CodeGenerator** (`generator.ts`)
12
- - Template loading and management
13
- - Variable resolution
14
- - File generation
15
- - Dry run/preview mode
16
-
17
- 2. **TemplateManager** (`templates/manager.ts`)
18
- - Template registry
19
- - Template loading from filesystem
20
- - EJS-based rendering
21
-
22
- 3. **ValidationPipeline** (`validation/pipeline.ts`)
23
- - Rule-based validation
24
- - TypeScript checking
25
- - ESLint validation
26
- - Security scanning
27
-
28
- 4. **RollbackManager** (`rollback/manager.ts`)
29
- - Checkpoint creation
30
- - File restoration
31
- - Automatic rollback on failure
32
-
33
- 5. **ChangeTracker** (`changes/tracker.ts`)
34
- - Change set recording
35
- - Diff generation
36
- - History management
37
-
38
- ### Dependencies
39
-
40
- - `packages/types` - for runtime-types
41
- - `ejs` - template rendering
42
- - `diff` - for generating file diffs
43
- - `fast-glob` - for file pattern matching
44
-
45
- ### Files to Create
46
-
47
- - `packages/code-generation/src/generator.ts`
48
- - `packages/code-generation/src/templates/manager.ts`
49
- - `packages/code-generation/src/templates/loader.ts`
50
- - `packages/code-generation/src/templates/registry.ts`
51
- - `packages/code-generation/src/validation/pipeline.ts`
52
- - `packages/code-generation/src/validation/rules/`
53
- - `packages/code-generation/src/validation/validators/`
54
- - `packages/code-generation/src/rollback/manager.ts`
55
- - `packages/code-generation/src/rollback/snapshot.ts`
56
- - `packages/code-generation/src/changes/tracker.ts`
57
- - `packages/code-generation/src/engine/renderer.ts`
58
- - `packages/code-generation/src/types.ts`
59
- - `packages/code-generation/src/index.ts`
@@ -1,63 +0,0 @@
1
- # RFC-0037 Implementation Tasks
2
-
3
- ## Phase 1: Generator Core
4
-
5
- - [ ] Create `packages/code-generation/` directory
6
- - [ ] Define types (`CodeTemplate`, `GeneratedFile`, `GenerationResult`)
7
- - [ ] Create `CodeGenerator` class
8
- - [ ] Implement `generate()` method
9
- - [ ] Implement `preview()` (dry run) method
10
-
11
- ## Phase 2: Template System
12
-
13
- - [ ] Create `TemplateManager` class
14
- - [ ] Implement EJS-based rendering
15
- - [ ] Implement `TemplateRegistry`
16
- - [ ] Add variable resolution
17
- - [ ] Create built-in templates:
18
- - [ ] React component template
19
- - [ ] Next.js page template
20
- - [ ] API endpoint template
21
-
22
- ## Phase 3: Validation Pipeline
23
-
24
- - [ ] Create `ValidationPipeline` class
25
- - [ ] Define `ValidationRule` interface
26
- - [ ] Implement built-in rules:
27
- - [ ] no-typescript-errors
28
- - [ ] no-unused-imports
29
- - [ ] security-no-hardcoded-secrets
30
- - [ ] Implement TypeScript validation
31
- - [ ] Implement ESLint validation
32
-
33
- ## Phase 4: Rollback System
34
-
35
- - [ ] Create `RollbackManager` class
36
- - [ ] Implement checkpoint creation
37
- - [ ] Implement file restoration
38
- - [ ] Implement `rollback()` method
39
- - [ ] Implement `listCheckpoints()`
40
- - [ ] Implement `prune()`
41
-
42
- ## Phase 5: Change Tracking
43
-
44
- - [ ] Create `ChangeTracker` class
45
- - [ ] Implement `recordGeneration()`
46
- - [ ] Implement `recordRollback()`
47
- - [ ] Implement `getRecentChanges()`
48
- - [ ] Implement diff generation
49
-
50
- ## Phase 6: Framework Integration
51
-
52
- - [ ] Create framework-specific templates
53
- - [ ] Integrate with FrameworkDetector (RFC-0038)
54
- - [ ] Add Frappe/ERPNext templates
55
- - [ ] Add Next.js templates
56
- - [ ] Add Django templates
57
-
58
- ## Phase 7: Testing & Documentation
59
-
60
- - [ ] Write unit tests for all components
61
- - [ ] Create usage examples
62
- - [ ] Write documentation
63
- - [ ] Performance testing with large templates
@@ -1,67 +0,0 @@
1
- # RFC-0038 AI Brief: Framework Detector
2
-
3
- ## Summary
4
-
5
- An intelligent framework detection system that identifies project frameworks, libraries, and architectures with confidence scoring.
6
-
7
- ## Implementation Overview
8
-
9
- ### Key Classes to Implement
10
-
11
- 1. **FrameworkDetector** (`detector.ts`)
12
- - Signal-based detection
13
- - Confidence scoring
14
- - File scanning
15
- - Package analysis
16
-
17
- 2. **FrameworkSignature Registry** (`signatures/registry.ts`)
18
- - Detection pattern definitions
19
- - Pattern weighting
20
- - Framework metadata
21
-
22
- 3. **VersionDetector** (`version-detector/`)
23
- - Frappe version detection
24
- - Next.js version detection
25
- - Django version detection
26
- - Framework-specific version parsing
27
-
28
- 4. **FileScanner** (`scanners/file-scanner.ts`)
29
- - Directory traversal
30
- - Pattern matching
31
- - Caching
32
-
33
- ### Supported Frameworks
34
-
35
- - Frappe/ERPNext
36
- - Frappe SPA
37
- - Next.js
38
- - React with Vite
39
- - React with CRA
40
- - Django
41
- - Laravel
42
- - Spring Boot
43
- - And more...
44
-
45
- ### Dependencies
46
-
47
- - `packages/types` - for runtime-types
48
- - `fast-glob` - for file pattern matching
49
- - `chokidar` - for file watching
50
-
51
- ### Files to Create
52
-
53
- - `packages/framework-detector/src/detector.ts`
54
- - `packages/framework-detector/src/signatures/registry.ts`
55
- - `packages/framework-detector/src/signatures/patterns.ts`
56
- - `packages/framework-detector/src/signatures/weights.ts`
57
- - `packages/framework-detector/src/scanners/file-scanner.ts`
58
- - `packages/framework-detector/src/scanners/package-scanner.ts`
59
- - `packages/framework-detector/src/scanners/config-scanner.ts`
60
- - `packages/framework-detector/src/version-detector/index.ts`
61
- - `packages/framework-detector/src/version-detector/frappe.ts`
62
- - `packages/framework-detector/src/version-detector/nextjs.ts`
63
- - `packages/framework-detector/src/version-detector/django.ts`
64
- - `packages/framework-detector/src/cache/detector-cache.ts`
65
- - `packages/framework-detector/src/watcher/file-watcher.ts`
66
- - `packages/framework-detector/src/types.ts`
67
- - `packages/framework-detector/src/index.ts`
@@ -1,65 +0,0 @@
1
- # RFC-0038 Implementation Tasks
2
-
3
- ## Phase 1: Detector Core
4
-
5
- - [ ] Create `packages/framework-detector/` directory
6
- - [ ] Define types (`FrameworkDetection`, `DetectionSignal`, etc.)
7
- - [ ] Create `FrameworkDetector` class
8
- - [ ] Implement `detect()` method
9
- - [ ] Implement `quickDetect()` method
10
-
11
- ## Phase 2: Signatures
12
-
13
- - [ ] Create `FrameworkSignatureRegistry`
14
- - [ ] Define detection patterns for:
15
- - [ ] Frappe/ERPNext
16
- - [ ] Frappe SPA
17
- - [ ] Next.js
18
- - [ ] React (Vite)
19
- - [ ] React (CRA)
20
- - [ ] Vue.js
21
- - [ ] Django
22
- - [ ] Laravel
23
- - [ ] Spring Boot
24
- - [ ] Ruby on Rails
25
- - [ ] Implement pattern weighting
26
-
27
- ## Phase 3: Scanners
28
-
29
- - [ ] Create `FileScanner` class
30
- - [ ] Implement directory traversal
31
- - [ ] Implement pattern matching
32
- - [ ] Create `PackageScanner` for package.json analysis
33
- - [ ] Create `ConfigScanner` for config file parsing
34
- - [ ] Add parallel scanning support
35
-
36
- ## Phase 4: Version Detection
37
-
38
- - [ ] Create `VersionDetector` class
39
- - [ ] Implement Frappe version detection
40
- - [ ] Implement Next.js version detection
41
- - [ ] Implement Django version detection
42
- - [ ] Implement Laravel version detection
43
- - [ ] Add version caching
44
-
45
- ## Phase 5: Caching & Watching
46
-
47
- - [ ] Create detection cache
48
- - [ ] Implement cache invalidation
49
- - [ ] Create `FileWatcher` for real-time updates
50
- - [ ] Implement callback-based notifications
51
-
52
- ## Phase 6: Capabilities & Recommendations
53
-
54
- - [ ] Implement `FrameworkCapability` detection
55
- - [ ] Create `StrategyRecommendation` engine
56
- - [ ] Add recommended seed strategies
57
- - [ ] Add recommended E2E strategies
58
-
59
- ## Phase 7: Testing & Documentation
60
-
61
- - [ ] Create test fixtures for each framework
62
- - [ ] Test detection accuracy
63
- - [ ] Test version detection
64
- - [ ] Performance testing
65
- - [ ] Write documentation
@@ -1,68 +0,0 @@
1
- # RFC-0039 AI Brief: Test Data Generator
2
-
3
- ## Summary
4
-
5
- A comprehensive test data generation system that creates realistic, framework-aware test data with Faker.js integration and multiple export formats.
6
-
7
- ## Implementation Overview
8
-
9
- ### Key Classes to Implement
10
-
11
- 1. **TestDataGenerator** (`generator.ts`)
12
- - Schema-based generation
13
- - Bulk data creation
14
- - Multiple export formats
15
- - Seed support for reproducibility
16
-
17
- 2. **SchemaManager** (`schema/validator.ts`)
18
- - Schema validation
19
- - Field type definitions
20
- - Custom generator support
21
-
22
- 3. **FactoryRegistry** (`factories/registry.ts`)
23
- - Factory pattern for test data
24
- - Default values
25
- - Sequences
26
- - Post-creation hooks
27
-
28
- 4. **RelationHandler** (`relations/handler.ts`)
29
- - Foreign key relationships
30
- - One-to-many, many-to-many
31
- - Referential integrity
32
-
33
- 5. **FrameworkAdapters** (`adapters/`)
34
- - Frappe adapter
35
- - Next.js adapter
36
- - Django adapter
37
- - Laravel adapter
38
-
39
- ### Dependencies
40
-
41
- - `packages/types` - for runtime-types
42
- - `@faker-js/faker` - data generation
43
- - `yaml` - YAML export
44
- - `csv-stringify` - CSV export
45
-
46
- ### Files to Create
47
-
48
- - `packages/test-data-generator/src/generator.ts`
49
- - `packages/test-data-generator/src/schema/validator.ts`
50
- - `packages/test-data-generator/src/schema/parser.ts`
51
- - `packages/test-data-generator/src/faker/faker-adapter.ts`
52
- - `packages/test-data-generator/src/faker/generators.ts`
53
- - `packages/test-data-generator/src/factories/registry.ts`
54
- - `packages/test-data-generator/src/factories/builder.ts`
55
- - `packages/test-data-generator/src/relations/handler.ts`
56
- - `packages/test-data-generator/src/relations/integrity.ts`
57
- - `packages/test-data-generator/src/exporters/json.ts`
58
- - `packages/test-data-generator/src/exporters/csv.ts`
59
- - `packages/test-data-generator/src/exporters/sql.ts`
60
- - `packages/test-data-generator/src/exporters/yaml.ts`
61
- - `packages/test-data-generator/src/exporters/fixtures/django.ts`
62
- - `packages/test-data-generator/src/exporters/fixtures/laravel.ts`
63
- - `packages/test-data-generator/src/adapters/frappe.ts`
64
- - `packages/test-data-generator/src/adapters/nextjs.ts`
65
- - `packages/test-data-generator/src/adapters/django.ts`
66
- - `packages/test-data-generator/src/adapters/laravel.ts`
67
- - `packages/test-data-generator/src/types.ts`
68
- - `packages/test-data-generator/src/index.ts`
@@ -1,74 +0,0 @@
1
- # RFC-0039 Implementation Tasks
2
-
3
- ## Phase 1: Generator Core
4
-
5
- - [ ] Create `packages/test-data-generator/` directory
6
- - [ ] Define types (`DataSchema`, `FieldDefinition`, `GeneratedData`)
7
- - [ ] Create `TestDataGenerator` class
8
- - [ ] Implement `generate()` method
9
- - [ ] Implement `generateOne()` method
10
-
11
- ## Phase 2: Schema System
12
-
13
- - [ ] Create `SchemaValidator` class
14
- - [ ] Define built-in field types
15
- - [ ] Implement schema parsing
16
- - [ ] Add validation rules
17
- - [ ] Create default schemas:
18
- - [ ] user schema
19
- - [ ] product schema
20
- - [ ] order schema
21
-
22
- ## Phase 3: Faker Integration
23
-
24
- - [ ] Create `FakerAdapter` class
25
- - [ ] Implement Faker method mapping
26
- - [ ] Add locale support
27
- - [ ] Add seed support
28
- - [ ] Create custom generators
29
-
30
- ## Phase 4: Factory Pattern
31
-
32
- - [ ] Create `FactoryRegistry` class
33
- - [ ] Implement `registerFactory()`
34
- - [ ] Implement `create()` method
35
- - [ ] Implement `createMany()` method
36
- - [ ] Add `sequences` support
37
- - [ ] Add `afterCreate` hooks
38
-
39
- ## Phase 5: Relations
40
-
41
- - [ ] Create `RelationHandler` class
42
- - [ ] Implement relation types:
43
- - [ ] one-to-one
44
- - [ ] one-to-many
45
- - [ ] many-to-many
46
- - [ ] Implement referential integrity
47
- - [ ] Implement `generateWithRelations()`
48
-
49
- ## Phase 6: Exporters
50
-
51
- - [ ] Create JSON exporter
52
- - [ ] Create JSONL exporter
53
- - [ ] Create CSV exporter
54
- - [ ] Create SQL exporter (INSERT statements)
55
- - [ ] Create YAML exporter
56
- - [ ] Create fixture exporters:
57
- - [ ] Django fixtures
58
- - [ ] Laravel factories
59
- - [ ] FactoryBot (Ruby)
60
-
61
- ## Phase 7: Framework Adapters
62
-
63
- - [ ] Create `FrameworkAdapter` interface
64
- - [ ] Implement Frappe adapter
65
- - [ ] Implement Next.js adapter
66
- - [ ] Implement Django adapter
67
- - [ ] Implement Laravel adapter
68
-
69
- ## Phase 8: Testing & Documentation
70
-
71
- - [ ] Write unit tests
72
- - [ ] Create usage examples
73
- - [ ] Performance testing with large datasets
74
- - [ ] Write documentation